EDIT - bug #6085

Use lucene auto suggest functionality for improved auto suggest
09/14/2016 05:11 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

Check if lucene auto-suggest functionality can be used. Currently we only use standard freetext search which leads e.g. to problems
like incorrect ordering.

Collection of links with potentially useful information:

e Lucene

o https:/lucene.apache.org/core/4_8 0/suggest/org/apache/lucene/search/suggest/analyzing/AnalyzinglnfixSuggester.html
o http://stackoverflow.com/questions/24968697/how-to-implements-auto-suggest-using-lucenes-new-analyzinginfixsuggester

-api

e Hibernate

o https://dzone.com/articles/hibernate-search-based
o By using the Spellchecker:
https://achorniy.wordpress.com/2010/04/23/suggestion-engine-with-hibernate-search-and-lucene-intro/

e ElasticSearch (will maybe become available for the cdmlib in future days)

Related issues:
Follows EDIT - feature request #5890: Implement auto-suggest for data portal New

History

#1 - 09/14/2016 05:12 PM - Andreas Miuller
- Due date set to 06/16/2016
- Start date changed from 09/14/2016 to 06/16/2016

- Follows feature request #5890: Implement auto-suggest for data portal added

#3 - 09/14/2016 09:57 PM - Andreas Kohlbecker

- Description updated

#4 - 11/18/2019 04:01 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker
